Debian Bug report logs - #424018
dvi2tty: Non-free source file dvi2tty.c

version graph

Package: dvi2tty; Maintainer for dvi2tty is (unknown);

Reported by: Frank Küster <frank@debian.org>

Date: Tue, 15 May 2007 11:18:02 UTC

Severity: serious

Found in version dvi2tty/5.3.1-3

Fixed in version 5.3.1-4+rm

Done: Marco Rodrigues <gothicx@sapo.pt>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Frank Küster <frank@debian.org>, Kenshi Muto <kmuto@debian.org>:
Bug#424018; Package dvi2tty. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
New Bug report received and forwarded. Copy sent to Frank Küster <frank@debian.org>, Kenshi Muto <kmuto@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dvi2tty: Non-free source file dvi2tty.c
Date: Tue, 15 May 2007 13:09:03 +0200
Package: dvi2tty
Version: 5.3.1-3
Severity: serious

From dvi2tty.c:

 * This program, and any documentation for it, is copyrighted by Svante
 * Lindahl. It may be copied for non-commercial use only, provided that
 * any and all copyright notices are preserved.

No permission to modify, no commercial.

However, there's also this text in README:

,----
| dvi2tty is licensed under the GPL version 2. It has had a history of many
| authors, I am just one of the latest maintainers.
| 
| Thats all, good luck.
| 
| 
| - Marcel 
`----

so this is unclear.  I'm still filing as serious, since others have
treated this program as non-free for a while, e.g. CTAN, and recently a
SuSE license team research brought it up.

Regards, Frank

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable'), (99, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-4-686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

-- 
Dr. Frank Küster
Single Molecule Spectroscopy, Protein Folding @ Inst. f. Biochemie, Univ. Zürich
Debian Developer (teTeX/TeXLive)



Information stored:
Bug#424018; Package dvi2tty. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #10 received at 424018-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: "Marcel J.E. Mol" <marcel@mesa.nl>, ". Svante Lindahl" <zap@inmic.se>, Svante.Lindahl@inmic.se, Svante Lindahl <sl@os.se>, Svante Lindahl <svante.lindahl@pantor.com>, Svante Lindahl <zap@nada.kth.se>, Dirk Zoller <duz@roxi.rz.fht-mannheim.de>
Cc: 424018-quiet@bugs.debian.org
Subject: dvi2tty licence clarification needed!
Date: Tue, 31 Jul 2007 22:11:40 +1000
[Message part 1 (text/plain, inline)]
Hi all,

http://bugs.debian.org/424018

The Debian project needs a clarification on the licence of dvi2tty.
There are two licence statements, one says GNU General Public Licence,
the other says non-commercial use only. The preferable situation for us
would be that dvi2tty was released fully under the GNU GPL. It would
also help if the list of copyright holders was enumerated. 

Please keep the bug report in CC.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#424018; Package dvi2tty. Full text and rfc822 format available.

Acknowledgement sent to "Marcel J.E. Mol" <marcel@mesa.nl>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 424018-quiet@bugs.debian.org (full text, mbox):

From: "Marcel J.E. Mol" <marcel@mesa.nl>
To: Paul Wise <pabs@debian.org>
Cc: ". Svante Lindahl" <zap@inmic.se>, Svante.Lindahl@inmic.se, Svante Lindahl <sl@os.se>, Svante Lindahl <svante.lindahl@pantor.com>, Svante Lindahl <zap@nada.kth.se>, Dirk Zoller <duz@roxi.rz.fht-mannheim.de>, 424018-quiet@bugs.debian.org
Subject: Re: dvi2tty licence clarification needed!
Date: Fri, 3 Aug 2007 13:18:18 +0200
As far as I'm concerned, hte license can be changed to fully GPL and 
the non-commercial statement can be removed.

-Marcel

On Tue, Jul 31, 2007 at 10:11:40PM +1000, Paul Wise wrote:
> Hi all,
> 
> http://bugs.debian.org/424018
> 
> The Debian project needs a clarification on the licence of dvi2tty.
> There are two licence statements, one says GNU General Public Licence,
> the other says non-commercial use only. The preferable situation for us
> would be that dvi2tty was released fully under the GNU GPL. It would
> also help if the list of copyright holders was enumerated. 
> 
> Please keep the bug report in CC.
> 
> -- 
> bye,
> pabs
> 
> http://wiki.debian.org/PaulWise



-- 
     ======--------         Marcel J.E. Mol                MESA Consulting B.V.
    =======---------        ph. +31-(0)6-54724868          P.O. Box 112
    =======---------        marcel@mesa.nl                 2630 AC  Nootdorp
__==== www.mesa.nl ---____U_n_i_x______I_n_t_e_r_n_e_t____ The Netherlands ____
 They couldn't think of a number,           Linux user 1148  --  counter.li.org
    so they gave me a name!  -- Rupert Hine  --  www.ruperthine.com



Information stored:
Bug#424018; Package dvi2tty. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #20 received at 424018-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: "Marcel J.E. Mol" <marcel@mesa.nl>
Cc: Svante Lindahl <svante.lindahl@pantor.com>, Dirk Zoller <duz@roxi.rz.fht-mannheim.de>, 424018-quiet@bugs.debian.org
Subject: Re: dvi2tty licence clarification needed!
Date: Fri, 03 Aug 2007 21:27:05 +1000
[Message part 1 (text/plain, inline)]
On Fri, 2007-08-03 at 13:18 +0200, Marcel J.E. Mol wrote:

> As far as I'm concerned, hte license can be changed to fully GPL and 
> the non-commercial statement can be removed.

Even without permission from Svante and the other copyright holders?

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#424018; Package dvi2tty. Full text and rfc822 format available.

Acknowledgement sent to Kapil Hari Paranjape <kapil@imsc.res.in>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #25 received at 424018@bugs.debian.org (full text, mbox):

From: Kapil Hari Paranjape <kapil@imsc.res.in>
To: 424018@bugs.debian.org
Subject: Some additional information
Date: Fri, 3 Aug 2007 17:38:33 +0530
[Message part 1 (text/plain, inline)]
Hello,

On Tue, 15 May 2007 Frank Küster <frank@debian.org> wrote: 
> so this is unclear.  I'm still filing as serious, since others have
> treated this program as non-free for a while, e.g. CTAN, and recently a
> SuSE license team research brought it up.

Quoting from README by Marcel J. E. Mol:
  The program is basicly an improved C version of the pascal
  program written by Svante Lindahl (see README.ORG).
  I translated it because I could not find a pascal compiler
  on our machine that could compile it.
  The program runs under UNIX and MSDOS without problems
  It should also run under VMS.
  (you may need some site dependend redefinitions, see below).

As far as I can make out dvi2tty.c and all the other source files
in the current package have Marcel J. E. Mol as the author.

The portion of dvi2tty.c quoted by Frank seems to have been put there
by the author as a historical note to clarify that the file is *based*
on the original Pascal program by Svante Lindahl.

IANAL, but as far as I can see, if I read someone else's program and
re-write it in another language, this is not very different from
reading someone else's algorithm and writing it as a program. If the
copyright in the latter case is with the author of the second program,
surely the copyright in the former case would be too.

The C files are in the preferred form for modification and no trace
of the original Pascal source remains in the package.

The copyright holder Marcel J. E. Mol for these source files has put
his work under the GPL and so the package seems to me to be DFSG free.

Regards,

Kapil.
--

[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#424018; Package dvi2tty. Full text and rfc822 format available.

Acknowledgement sent to "Marcel J.E. Mol" <marcel@mesa.nl>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #30 received at 424018-quiet@bugs.debian.org (full text, mbox):

From: "Marcel J.E. Mol" <marcel@mesa.nl>
To: Paul Wise <pabs@debian.org>
Cc: Svante Lindahl <svante.lindahl@pantor.com>, Dirk Zoller <duz@roxi.rz.fht-mannheim.de>, 424018-quiet@bugs.debian.org
Subject: Re: dvi2tty licence clarification needed!
Date: Fri, 3 Aug 2007 14:08:39 +0200
On Fri, Aug 03, 2007 at 09:27:05PM +1000, Paul Wise wrote:
> On Fri, 2007-08-03 at 13:18 +0200, Marcel J.E. Mol wrote:
> 
> > As far as I'm concerned, hte license can be changed to fully GPL and 
> > the non-commercial statement can be removed.
> 
> Even without permission from Svante and the other copyright holders?

That's the part 'as far as I'm concerned'.

But, dvi2tty is in fact my creation.
It is derived from the dvitty program written in Pascal by Svante.
E.g. I am the author of the C version.
So I think I'm entitled to release the code as GPL without further
permission from Svante, but I'm not sure...

I have not been able to contact Svante for a long time (can't even remember
getting in conact with him in the first place), so I guess this is all I
can do for now...

-Marcel
-- 
     ======--------         Marcel J.E. Mol                MESA Consulting B.V.
    =======---------        ph. +31-(0)6-54724868          P.O. Box 112
    =======---------        marcel@mesa.nl                 2630 AC  Nootdorp
__==== www.mesa.nl ---____U_n_i_x______I_n_t_e_r_n_e_t____ The Netherlands ____
 They couldn't think of a number,           Linux user 1148  --  counter.li.org
    so they gave me a name!  -- Rupert Hine  --  www.ruperthine.com



Information stored:
Bug#424018; Package dvi2tty. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #35 received at 424018-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: "Marcel J.E. Mol" <marcel@mesa.nl>
Cc: Svante Lindahl <svante.lindahl@pantor.com>, 424018-quiet@bugs.debian.org
Subject: Re: dvi2tty licence clarification needed!
Date: Sat, 04 Aug 2007 22:26:31 +1000
[Message part 1 (text/plain, inline)]
On Fri, 2007-08-03 at 14:08 +0200, Marcel J.E. Mol wrote:

> > Even without permission from Svante and the other copyright holders?
> 
> That's the part 'as far as I'm concerned'.
> 
> But, dvi2tty is in fact my creation.
> It is derived from the dvitty program written in Pascal by Svante.
> E.g. I am the author of the C version.
> So I think I'm entitled to release the code as GPL without further
> permission from Svante, but I'm not sure...

I'm not really sure about this, but one thing I've seen expressed on
debian-legal has been that the original author retains copyright over
translations of books, so the same presumably applies to software. 

Were there any other significant contributors to the code?

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#424018; Package dvi2tty. Full text and rfc822 format available.

Acknowledgement sent to "Svante Lindahl" <svante.lindahl@pantor.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #40 received at 424018-quiet@bugs.debian.org (full text, mbox):

From: "Svante Lindahl" <svante.lindahl@pantor.com>
To: "Paul Wise" <pabs@debian.org>, "Marcel J.E. Mol" <marcel@mesa.nl>
Cc: <424018-quiet@bugs.debian.org>
Subject: Re: dvi2tty licence clarification needed!
Date: Tue, 7 Aug 2007 09:02:28 +0200
Hi all,

As Marcel says, I wrote the original dvitty in Pascal (initially on
TOPS-20, and then later ported to 4.3BSD Unix, and Pyramid OSx).
I have no issues if the dvi2tty is GPL:ed at this time.

Regards,
Svante

----- Original Message ----- 
From: "Paul Wise" <pabs@debian.org>
To: "Marcel J.E. Mol" <marcel@mesa.nl>
Cc: "Svante Lindahl" <svante.lindahl@pantor.com>;
<424018-quiet@bugs.debian.org>
Sent: Saturday, August 04, 2007 2:26 PM
Subject: Re: dvi2tty licence clarification needed!

> > Even without permission from Svante and the other copyright holders?
>
> That's the part 'as far as I'm concerned'.
>
> But, dvi2tty is in fact my creation.
> It is derived from the dvitty program written in Pascal by Svante.
> E.g. I am the author of the C version.
> So I think I'm entitled to release the code as GPL without further
> permission from Svante, but I'm not sure...

I'm not really sure about this, but one thing I've seen expressed on
debian-legal has been that the original author retains copyright over
translations of books, so the same presumably applies to software.

Were there any other significant contributors to the code?




Information stored:
Bug#424018; Package dvi2tty. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #45 received at 424018-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Svante Lindahl <svante.lindahl@pantor.com>
Cc: "Marcel J.E. Mol" <marcel@mesa.nl>, 424018-quiet@bugs.debian.org
Subject: Re: dvi2tty licence clarification needed!
Date: Tue, 07 Aug 2007 17:43:38 +1000
[Message part 1 (text/plain, inline)]
On Tue, 2007-08-07 at 09:02 +0200, Svante Lindahl wrote:

> As Marcel says, I wrote the original dvitty in Pascal (initially on
> TOPS-20, and then later ported to 4.3BSD Unix, and Pyramid OSx).
> I have no issues if the dvi2tty is GPL:ed at this time.

Excellent. Marcel, could you release a new version with the licencing
clarified please? Then I can upload it to Debian and close the bug.

Incidentally, the dvi2tty Debian package is orphaned, would either of
you like to become the maintainer for it?

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#424018; Package dvi2tty. Full text and rfc822 format available.

Acknowledgement sent to Kapil Hari Paranjape <kapil@imsc.res.in>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #50 received at 424018@bugs.debian.org (full text, mbox):

From: Kapil Hari Paranjape <kapil@imsc.res.in>
To: 424018@bugs.debian.org
Subject: Re: Bug#424018: dvi2tty licence clarification needed!
Date: Thu, 30 Aug 2007 09:32:33 +0530
[Message part 1 (text/plain, inline)]
Hello,

To summarise this thread we have the following statments from the
major contributors, which ought to have been enough.

On Fri, 03 Aug 2007, Marcel J.E. Mol wrote:
> As far as I'm concerned, hte license can be changed to fully GPL and 
> the non-commercial statement can be removed.

On Fri, 03 Aug 2007, Marcel J.E. Mol wrote:
> But, dvi2tty is in fact my creation.
> It is derived from the dvitty program written in Pascal by Svante.
> E.g. I am the author of the C version.
> So I think I'm entitled to release the code as GPL without further
> permission from Svante, but I'm not sure...

On Tue, 07 Aug 2007, Svante Lindahl wrote:
> As Marcel says, I wrote the original dvitty in Pascal (initially on
> TOPS-20, and then later ported to 4.3BSD Unix, and Pyramid OSx).
> I have no issues if the dvi2tty is GPL:ed at this time.

The manner in which Marcel J. E. Mol has kept historical data for
the program needs to be commended, but it is (IMHO) not enough for
DFSG-free-ness in 2007.

The problem is that the code was developed from 1988 to 2003 by
Marcel J. E. Mol under the original non-DFSG license. During this
period a number of patches were provided --- a priori under
the same (non-DFSG) license. The contributors are listed at the top
of dvi2tty.c.

Some of these patches may be irrelevant under gcc+glibc but the
remaining contributors need to be contacted and the issue sorted out.

Regards,

Kapil.
--

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#424018; Package dvi2tty. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #55 received at 424018@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Kapil Hari Paranjape <kapil@imsc.res.in>, Svante Lindahl <svante.lindahl@pantor.com>, "Marcel J.E. Mol" <marcel@mesa.nl>
Cc: 424018@bugs.debian.org
Subject: Re: Bug#424018: dvi2tty licence clarification needed!
Date: Tue, 27 Nov 2007 09:07:14 +0930
[Message part 1 (text/plain, inline)]
Apologies for forgetting about this issue.

On Thu, 2007-08-30 at 09:32 +0530, Kapil Hari Paranjape wrote:

> To summarise this thread we have the following statments from the
> major contributors, which ought to have been enough.
<snip>
> The manner in which Marcel J. E. Mol has kept historical data for
> the program needs to be commended, but it is (IMHO) not enough for
> DFSG-free-ness in 2007.
> 
> The problem is that the code was developed from 1988 to 2003 by
> Marcel J. E. Mol under the original non-DFSG license. During this
> period a number of patches were provided --- a priori under
> the same (non-DFSG) license. The contributors are listed at the top
> of dvi2tty.c.
> 
> Some of these patches may be irrelevant under gcc+glibc but the
> remaining contributors need to be contacted and the issue sorted out.

Marcel, do you have contact with any of the other contributors? Or
possibly a CVS/RCS repository or an archive of all the versions from
1988 to 2003, from which the contributed patches could be extracted so
that they can be removed/rewritten?

I'm also concerned about the changes from 1986 that mention
bogart:/usr/alla/zap/ - I assume that is a different person from
bogart:/usr/alla/svante/ ?

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#424018; Package dvi2tty. Full text and rfc822 format available.

Acknowledgement sent to Svante Lindahl <svante.lindahl@pantor.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #60 received at 424018@bugs.debian.org (full text, mbox):

From: Svante Lindahl <svante.lindahl@pantor.com>
To: Paul Wise <pabs@debian.org>
Cc: Kapil Hari Paranjape <kapil@imsc.res.in>, "Marcel J.E. Mol" <marcel@mesa.nl>, 424018@bugs.debian.org
Subject: Re: Bug#424018: dvi2tty licence clarification needed!
Date: Tue, 27 Nov 2007 01:10:46 +0100
On Nov 27, 2007, at 00:37, Paul Wise wrote:

> I'm also concerned about the changes from 1986 that mention
> bogart:/usr/alla/zap/ - I assume that is a different person from
> bogart:/usr/alla/svante/ ?

No, of those were me.




Reply sent to Marco Rodrigues <gothicx@sapo.pt>:
You have taken responsibility. (Mon, 15 Jun 2009 18:45:11 GMT) Full text and rfc822 format available.

Notification sent to Frank Küster <frank@debian.org>:
Bug acknowledged by developer. (Mon, 15 Jun 2009 18:45:12 GMT) Full text and rfc822 format available.

Message #65 received at 424018-done@bugs.debian.org (full text, mbox):

From: Marco Rodrigues <gothicx@sapo.pt>
To: 424018-done@bugs.debian.org
Subject: dvi2tty has been removed from Debian, closing #424018
Date: Mon, 15 Jun 2009 19:42:50 +0100
Version: 5.3.1-4+rm

The dvi2tty package has been removed from Debian so we are closing
the bugs that were still opened against it.

For more information about this package's removal, read
http://bugs.debian.org/430129 . That bug might give the reasons why
this package was removed, and suggestions of possible replacements.

Don't hesitate to reply to this mail if you have any question.

Thank you for your contribution to Debian.

Kind regards,
--
Marco Rodrigues




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 14 Jul 2009 07:27:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:25:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.